Error
A valid request URL is required to generate request examples{
"area_code": "555",
"e164": "+15551234567",
"id": 2001,
"name": "Main line",
"inbound_cloud_employee_id": 1001,
"outbound_cloud_employee_id": 1001
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}/beta/phone-numbers
Update a phone number
Update a phone number’s name and cloud employees.
PATCH
/
beta
/
phone-numbers
/
{id}
Error
A valid request URL is required to generate request examples{
"area_code": "555",
"e164": "+15551234567",
"id": 2001,
"name": "Main line",
"inbound_cloud_employee_id": 1001,
"outbound_cloud_employee_id": 1001
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Authorizations
API key sent in the X-Api-Key header. Generate an API key from https://app.atonom.ai/#/settings/v2/api_keys.
Path Parameters
Identifier of the phone number.
Example:
2001
Body
application/json
Response
OK
NANP area code.
Example:
"555"
Phone number in E.164 format.
Example:
"+15551234567"
Stable identifier of the phone number.
Example:
2001
Display name of the phone number.
Example:
"Main line"
Cloud employee handling inbound calls.
Example:
1001
Cloud employee handling outbound calls.
Example:
1001

